Bug 478167 - MIGRATED_FROM_JIRA: ProxyEngine DN is not normalized
MIGRATED_FROM_JIRA: ProxyEngine DN is not normalized
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:05 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:05:27 EST
ProxyEngine's convertDn method takes a DN parameter which is not whitespace normalized. When browsing a proxy mapping, a LDAP client which inserts whitespace between branches breaks the parsing routine and causes Penrose to abandon the connection.


The check on line 66 is the culprit:

if (!dn.toLowerCase().endsWith(oldSuffix.toLowerCase())) return null;

Case is normalized, though the check fails (incorrectly) if dn contains unnecessary whitespace.
Additional Comments From rammic dated Thu Nov 09 12:55:05 CST 2006 
I have a patch available if desired.

Additional Comments From endisd dated Tue Nov 14 00:51:47 CST 2006 
Hi Michael, I have fixed this problem in branches/1.1. We'll include this in the next release.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'rammic',
          'key' => 'PENROSE-190',
          'assignee' => 'endisd',
          'summary' => 'ProxyEngine DN is not normalized',
          'id' => '10561',
          'updated' => '2007-03-23 19:34:45.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-11-27 00:00:00.0',
                             'sequence' => '20',
                             'name' => 'Penrose-1.1.2',
                             'released' => 'true',
                             'id' => '10091',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'ProxyEngine's convertDn method takes a DN parameter which is not whitespace normalized. When browsing a proxy mapping, a LDAP client which inserts whitespace between branches breaks the parsing routine and causes Penrose to abandon the connection.


The check on line 66 is the culprit:

if (!dn.toLowerCase().endsWith(oldSuffix.toLowerCase())) return null;

Case is normalized, though the check fails (incorrectly) if dn contains unnecessary whitespace.',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-10-26 00:00:00.0',
                                 'sequence' => '19',
                                 'name' => 'Penrose-1.1.1',
                                 'released' => 'true',
                                 'id' => '10090',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-11-06 12:59:39.0',
          'environment' => 'n/a',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:05:29 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-190

Note You need to log in before you can comment on or make changes to this bug.